/**
 * 通过ID获取Element对象
 */
function $(id)
{
	return document.getElementById(id);
}

/**
 * 加入事件到装载列表
 */
function addLoadEvent(func)
{
	var oldonload = window.onload;
	if (typeof window.onload != 'function')
	{
		window.onload = func;
	}
	else
	{
		window.onload = function()
		{
			oldonload();
			func();
		}
	}
}
/**
 * 列表左右移动控制
 */
function initScrollPic()
{
	var scrollPicController = new ScrollPic();
	scrollPicController.scrollContId = 'm'; //内容容器ID
	scrollPicController.arrLeftId    = 'ctrl-left';       //左箭头ID
	scrollPicController.arrRightId   = 'ctrl-right'; //右箭头ID

	scrollPicController.frameWidth   = 560;  //显示框宽度
	scrollPicController.pageWidth    = 560;  //翻页宽度

	scrollPicController.speed        = 40;   //移动速度(单位毫秒，越小越快)
	scrollPicController.space        = 10;   //每次移动像素(单位px，越大越快)
	scrollPicController.autoPlay     = true;//不进行自动播放
	scrollPicController.autoPlayTime = 1;    //自动播放间隔时间(秒)

	scrollPicController.initialize(); //初始化
}
/**
 * 图片轮换
 */
var slideMenu=function(){
	var sp,st,t,m,sa,l,w,sw,ot;
	return{
		build:function(sm,sw,mt,s,sl,h){
			sp=s; st=sw; t=mt;
			m=document.getElementById(sm);
			sa=m.getElementsByTagName('li');
			l=sa.length; w=m.offsetWidth - 10; sw=w/l;
			ot=Math.floor((w-st)/(l-1)); var i=0;
			for(i;i<l;i++){s=sa[i]; s.style.width=sw+'px'; this.timer(s)}
			if(sl!=null){m.timer=setInterval(function(){slideMenu.slide(sa[sl-1])},t)}
		},
		timer:function(s){s.onmouseover=function(){clearInterval(m.timer);m.timer=setInterval(function(){slideMenu.slide(s)},t)}},
		slide:function(s){
			var cw=parseInt(s.style.width,'10');
			if(cw<st){
				var owt=0; var i=0;
				for(i;i<l;i++){
					if(sa[i]!=s){
						var o,ow; var oi=0; o=sa[i]; ow=parseInt(o.style.width,'10');
						if(ow>ot){oi=Math.floor((ow-ot)/sp); oi=(oi>0)?oi:1; o.style.width=(ow-oi)+'px'}
						owt=owt+(ow-oi)}}
				s.style.width=(w-owt)+'px';
			}else{clearInterval(m.timer)}
		}
	};
}();

/**
 * 问题展开与关闭
 */
function QsTab()
{
	var items = $('q-list').getElementsByTagName('a');
    var num   = items.length;

	for (var i = 0; i < num; i++)
	{
        (function(i){items[i].onclick = function(){
            QsTabi(i)
        }})(i)
	}
}

function QsTabi(i)
{
	var itabs = $('q-list').getElementsByTagName('p');
	var num   = itabs.length;

	for (var j = 0; j < num; j++)
	{
		if (i == j)
		{
		    itabs[i].style.display = itabs[i].style.display == 'block' ? 'none' : 'block';
		}
		else
		{
			itabs[j].style.display = 'none';
		}
	}
}

function PwdForm(obj)
{
	$('pwd').innerHTML = '<input type="password" name="password" />';
}